import QtQuick 2.0
import QtQuick.Controls 2.3

SpinBox {
    id: control
    from: 1
    to: 1

    background: Rectangle {
        id: controlBkg
        implicitWidth: 120
        color: Qt.rgba(1, 1, 1, .33)
        border.color: "#000000"
    }

    up.indicator: Rectangle {
        x: control.mirrored ? 0 : parent.width - width
        anchors.verticalCenter: parent.verticalCenter
        height: controlBkg.height
        width: height
        color: Qt.rgba(0, 0, 0, 0)
        border.color: "#000000"

        Rectangle {
            anchors.fill: parent
            color: control.up.pressed || !control.enabled ? Qt.rgba(0, 0, 0, 0) : Qt.rgba(1, 1, 1, .33)
            clip: true
            anchors.rightMargin: control.mirrored ? 0 : parent.border.width
            anchors.leftMargin: control.mirrored ? parent.border.width : 0
            anchors.topMargin: parent.border.width
            anchors.bottomMargin: parent.border.width
        }

        Rectangle {
            x: (parent.width - width) / 2
            y: (parent.height - height) / 2
            width: parent.width / 3
            height: 2
            color: enabled ? "#000000" : "#888888"
        }
        Rectangle {
            x: (parent.width - width) / 2
            y: (parent.height - height) / 2
            width: 2
            height: parent.width / 3
            color: enabled ? "#000000" : "#888888"
        }
    }

    down.indicator: Rectangle {
        x: control.mirrored ? parent.width - width : 0
        anchors.verticalCenter: parent.verticalCenter
        height: controlBkg.height
        width: height
        color: Qt.rgba(0, 0, 0, 0)
        border.color: "#000000"

        Rectangle {
            anchors.fill: parent
            color: control.down.pressed || !control.enabled ? Qt.rgba(0, 0, 0, 0) : Qt.rgba(1, 1, 1, .33)
            clip: true
            anchors.rightMargin: control.mirrored ? parent.border.width : 0
            anchors.leftMargin: control.mirrored ? 0 : parent.border.width
            anchors.topMargin: parent.border.width
            anchors.bottomMargin: parent.border.width
        }

        Rectangle {
            x: (parent.width - width) / 2
            y: (parent.height - height) / 2
            width: parent.width / 3
            height: 2
            color: enabled ? "#000000" : "#888888"
        }
    }
}
