#ifndef GLOBALS_H
#define GLOBALS_H

#include <QString>


enum PRAYER_EVENTS {
    NONE,
    ALL,
    FAJR,
    SHUROOQ,
    DHUHR,
    ASR,
    MAGHRIB,
    ISHA
};

enum PRAYER_NAMES {
    PRAYER_NAMES_LOCAL,
    PRAYER_NAMES_ARABIC,
    PRAYER_NAMES_TRANSLITERATION
};

enum PRAYER_SOUND_TYPES {
    ADHAN,
    BEEP,
    SILENT
};

enum SHUROOQ_SOUND_TYPES {
    SHUROOQ_BEEP,
    SHUROOQ_SILENT
};

enum CALCULATION_METHODS {
    METHOD_AUTODETECT,
    METHOD_EGYPT,
    METHOD_IRAN,
    METHOD_NORTH_AMERICA,
    METHOD_PAKISTAN,
    METHOD_REST_OF_THE_WORLD,
    METHOD_SAUDI
};

enum CALCULATION_SCHOOLS {
    SCHOOL_AUTODETECT,
    SCHOOL_HANAFI,
    SCHOOL_HANBALI_MALIKI_SHAFI
};

enum CALCULATION_HIGH_LATITUDES {
    HIGH_LATITUDE_DEFAULT,
    HIGH_LATITUDE_NONE,
    HIGH_LATITUDE_MIDDLE_OF_NIGHT,
    HIGH_LATITUDE_SEVENTH_OF_NIGHT,
    HIGH_LATITUDE_FRACTION_OF_NIGHT
};

enum CALCULATION_EXTREME_LATITUDES {
    EXTREME_LATITUDE_DEFAULT,
    EXTREME_LATITUDE_NONE,
    EXTREME_LATITUDE_NEAREST_DAY,
    EXTREME_LATITUDE_NEAREST_LATITUDE
};

const int                 DEFAULT_AYAH                          = 1;
const bool                DEFAULT_DATE_FORMAT_FULL              = true;
const bool                DEFAULT_DATE_GREGORIAN_ALWAYS_ENGLISH = false;
const bool                DEFAULT_DATE_GREGORIAN_VISIBLE        = true;
const bool                DEFAULT_DATE_HIJRI_VISIBLE            = true;
const bool                DEFAULT_DATE_SHAMSI_VISIBLE           = false;
const int                 DEFAULT_EXTREME_LATITUDE              = EXTREME_LATITUDE_DEFAULT;
const int                 DEFAULT_FONT_SIZE                     = 10;
const int                 DEFAULT_HIGH_LATITUDE                 = HIGH_LATITUDE_DEFAULT;
const int                 DEFAULT_HIGHLIGHT_LAST                = 30;
const int                 DEFAULT_HIGHLIGHT_NEXT                = 15;
const int                 DEFAULT_HIGHLIGHT_SHUROOQ             = 5;
const QString             DEFAULT_HIJRI_CONVERTER               = "/opt/efendif/hijri_conv/run";
const QString             DEFAULT_MEDIA_DIR                     = "/opt/efendif/media";
const int                 DEFAULT_PRAYER_METHOD                 = METHOD_AUTODETECT;
const int                 DEFAULT_PRAYER_NAMES                  = PRAYER_NAMES_LOCAL;
const bool                DEFAULT_PRAYER_NAMES_SUBH             = false;
const int                 DEFAULT_PRAYER_SCHOOL                 = SCHOOL_AUTODETECT;
const PRAYER_SOUND_TYPES  DEFAULT_PRAYER_SOUND                  = ADHAN;
const SHUROOQ_SOUND_TYPES DEFAULT_SHUROOQ_SOUND                 = SHUROOQ_BEEP;
const bool                DEFAULT_SPLASH_SOUND                  = true;
const int                 DEFAULT_SURAH                         = 1;
const QString             DEFAULT_SYSUTILS_DIR                  = "/opt/efendif/utils";
const bool                DEFAULT_TIME_24                       = false;
const bool                DEFAULT_TIME_EASTERN_ARABIC_VISIBLE   = true;
const bool                DEFAULT_TIME_FARSI_VISIBLE            = false;
const bool                DEFAULT_TIME_WESTERN_ARABIC_VISIBLE   = true;
const bool                DEFAULT_USE_BKG                       = true;
const int                 DEFAULT_VOLUME                        = 80;


class Globals
{
    public:

        static QString convertNumbersToEastern(QString input);
        static QString convertNumbersToFarsi(QString input);
};


#endif // GLOBALS_H
