#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include "tefcacapplication.h"

/*

    Options:

        INI_FILE - Show location of configuration file and quit

    Envinment variables:

        TEF_CAC_KIOSK_MODE=1           - Run in kiosk mode
        QT_IM_MODULE=qtvirtualkeyboard - Enable virtual keyboard

*/

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    TefCacApplication app(argc, argv);

    for(int i = 0; i < argc; i++) {
        if (QString(argv[i]).compare("INI_FILE", Qt::CaseInsensitive) == 0) {
            std::cout << app.settingsFileName().append("\n").toUtf8().data();
            return 0;
        }
    }

    const QUrl url(QStringLiteral("qrc:/main.qml"));

    QQmlApplicationEngine engine;

    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated, &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl) {
            QCoreApplication::exit(1);
        }
    }, Qt::QueuedConnection);

    engine.load(url);
    app.setQmlApplicationEngine(&engine);
    return app.exec();
}
