QT      += quick multimedia
CONFIG  += c++11
DEFINES += QT_DEPRECATED_WARNINGS

HEADERS += \
    globals.h \
    networkingandfiles.h \
    prayertimes.h \
    secrets.h \
    tefcacapplication.h

SOURCES += \
        globals.cpp \
        main.cpp \
        networkingandfiles.cpp \
        prayertimes.cpp \
        tefcacapplication.cpp

RESOURCES += qml.qrc \
    images.qrc

TRANSLATIONS += \
    tef_cac_ar.ts \
    tef_cac_en_US.ts \
    tef_cac_hu.ts

unix:!android {
    qtPrepareTool(QMAKE_LRELEASE, lrelease)

    lrelease.name     = lrelease
    lrelease.input    = TRANSLATIONS
    lrelease.output   = ${QMAKE_FILE_IN_BASE}.qm
    lrelease.commands = $$QMAKE_LRELEASE ${QMAKE_FILE_IN} -qm ${QMAKE_FILE_OUT}
    lrelease.CONFIG   = no_link

    QM_FILES_INSTALL_PATH = /opt/efendif/tef_cac/bin

    QMAKE_EXTRA_COMPILERS += lrelease
    PRE_TARGETDEPS        += compiler_lrelease_make_all

    for (translation, TRANSLATIONS) {
        translation = $$basename(translation)
        QM_FILES += $$OUT_PWD/$$replace(translation, \\..*$, .qm)
    }

    qm_files.files  = $$QM_FILES
    qm_files.path   = $$QM_FILES_INSTALL_PATH
    qm_files.CONFIG = no_check_exist
    INSTALLS += qm_files

    target.path = /opt/efendif/tef_cac/bin
    INSTALLS += target

    launcher.path  = /usr/share/applications
    launcher.files = launcher/tef_cac.desktop
    icon.path  = /opt/efendif/pixmaps
    icon.files = launcher/tef_cac_icon.png
    INSTALLS += launcher icon

    updatedestdir.commands = $(eval INSTALL_ROOT := $(DESTDIR))
    install.depends = updatedestdir
    QMAKE_EXTRA_TARGETS += install updatedestdir
}
